function UploaderBdeal(divUploader) {
	var me = this;
	this.divName= divUploader;
	this.uploader = $("#"+divUploader).uploadFile({
							url:contextPath + "/contrato/bdeal/subirDocumentoBdeal.action",
							fileName:"fileUpload",
							dragDrop:true,
							autoSubmit:false,
							multiple:false,
							maxFileCount:1,
							maxFileSize: 20971520,
							dynamicFormData: function()
							{
								var data ={"idContrato":$("#idContrato").val() };
								return data;
							},
							
							dragDropStr: "<span><b>Arrastra aqu&iacute; el archivo a cargar.</b></span>",
				            uploadStr:"Subir",
				            abortStr: "Abortar",
				            cancelStr: "Cancelar",
				            deletelStr: "Borrar",
				            doneStr: "Concluido",
				            multiDragErrorStr: "No se permite arrastrar mas de un archivo.",
				            extErrorStr: "No es posible adjuntar el documento. Activar extensiones: ",
				            duplicateErrorStr: "No es posible adjuntar el documento. El archivo ya existe.",
				            sizeErrorStr: "No es posible adjuntar el documento. Tama&ntilde;o maximo permitido: ",
				            uploadErrorStr: "Carga no permitida",
				            maxFileCountErrorStr: "No es posible adjuntar el documento. Tama&ntilde;o maximo de documentos permitido:",
				            downloadStr: "Descargar",
				            onSuccess:function(files,data,xhr,pd)
				            {
				                if(data.error == '' || data.error == null)
				    			{
				                	//console.log("exito : " + data.exito);
				                	if(data.exito) {
				                		showMessage("El documento ["+data.fileUploadFileName+"] se ha cargado con exito.");
				                		$('#modalCargaArchivoBV').modal('hide');
				                	}else {
				                		showError(data.mensaje);
				                		$('#modalCargaArchivoBV').modal('hide');
				                	}
				    				
				    				
				    				$('#infoDiv').remove();
				    				$('#infoCargaDiv').append('<div id="infoDiv"></div>');
				    				
				    				$('#infoDiv').append('<h5><b>Se realizo la importaci&oacute;n de los datos de BroadView.</b><h5>');
				    				$('#infoDiv').append('<p>Total de t&iacute;tulos le&iacute;dos:&nbsp;&nbsp;&nbsp;'+ data.titulosLeidos +'</p>');
				    				$('#infoDiv').append('<p>Total de t&iacute;tulos actualizados:&nbsp;&nbsp;&nbsp;'+ data.titulosActualizados +'</p>');
				    				$('#infoDiv').append('<p>Total de t&iacute;tulos con error:&nbsp;&nbsp;&nbsp;'+ data.titulosConError +'</p><br>');
				    				
				    				if(data.titulosConError > 0){
				    					$('#infoDiv').append('<a onclick="descargaTitulosBdealOerrores('+ "'errores'," + data.idCarga +')">DESCARGAR ARCHIVO DE ERRORES</a>');
				    				}
				    				$('#'+divUploader).modal('hide');
				    				$('#modalCargaArchivoBV').modal('hide');
				    			}
				    			else{
				    				showError(data.error);
				    				$('#'+divUploader).modal('hide');
				    				$('#modalCargaArchivoBV').modal('hide');
				    			}
				                carga.initUploader();
				            },
				            onError: function(files,status,errMsg,pd)
				            {
				            	showError("Ocurrio un error al subir el documento");
				            	$('#modalCargaArchivoBV').modal('hide');
				            	$('#'+divUploader).modal('hide');
				            	carga.initUploader();
				            }
					}); 
}


UploaderBdeal.prototype.startUpload = function() {
	this.uploader.startUpload();
};

UploaderBdeal.prototype.initUploader = function() {
	this.uploader.reset();
};

var carga;

$().ready(function() {
	
	var perfilController = new PerfilController();
	perfilController.ejecutarPerfil(parseInt($("#pmn").val()));

	carga= new UploaderBdeal("subeDiv");

});

/**/

function descargaTitulosBdealOerrores(tipo, id) {
	console.log("descargando, tipo : " + tipo + " - id : " + id);
	var url = contextPath +'/contrato/bdeal/exportarTitulosBdeal.action?id=' + id + '&tipo=' + tipo;
	//var url = contextPath +'/contrato/bdeal/exportarTitulosBdeal.action?idContrato=' + $("#idContrato").val() + '&tipo=' + tipo;
   	window.open(url);
}

function imprimeEnLog() {
	console.log("mensaje de prueba");
}